package com.halo.halojuhesdk.core.base.utils;

import com.halo.halojuhesdk.core.common.utils.Config;
import com.halo.halojuhesdk.core.request.SlotBean;

import org.json.JSONObject;

import java.math.BigDecimal;

public class AnalyseSlotBeanUtils {
    public static JSONObject analyseBean(SlotBean mBean, boolean isQuota, boolean isUse, double op, String reqId) {
        JSONObject parameJson = new JSONObject();
        try {
            parameJson.put("appId", Config.mAppId);
            parameJson.put("slotId", mBean.getSlotId());
            parameJson.put("adAppId", mBean.getAppId());
            parameJson.put("adSlotId", mBean.getAdSlotId());
            parameJson.put("isQuota", isQuota);
            parameJson.put("isUse", isUse);
//            LogUtils.e("===op===" + mBean.getOp() + "====ep===" + mBean.getEp());
            if (op > 0) {
                BigDecimal bigDecimal = BigDecimal.valueOf(mBean.getOp());
                String opStr = KeyUtil.encryptCurrentAES(SystemUtils.formatCurrentData(), String.valueOf(bigDecimal));
//                opStr = String.valueOf(op);
                parameJson.put("op", opStr);
            } else {
                parameJson.put("op", "0");
            }
            double ep = mBean.getEp();
            if (ep > 0) {
                BigDecimal bigDecimal = BigDecimal.valueOf(mBean.getEp());
                String epStr = KeyUtil.encryptCurrentAES(SystemUtils.formatCurrentData(), String.valueOf(bigDecimal));
//                epStr = String.valueOf(mBean.getEp());
                parameJson.put("ep", epStr);
            } else {
                parameJson.put("ep", "0");
            }
            parameJson.put("startTime", mBean.getStartTime());
            parameJson.put("endTime", mBean.getEndTime());
            parameJson.put("cur","USD");
//            parameJson.put("adid", HlStatisManager.getInstance().getConfigReqId());
//            parameJson.put("reqId", reqId);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return parameJson;
    }
}
