package com.halo.halojuhesdk.sdk.listener;

import android.content.Context;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;

import com.halo.halojuhesdk.sdk.HlNativeAdView;

import java.util.List;

public interface HlNativeResponse {
    public String getTitle();

    public List<String> getImgList();

    public String getAdDescription();

    public String getAppName();

    public String getAppSource();

    public Context getContext();

    public ViewGroup getAdContainer();

    public void bindToView(Context context, @NonNull List<View> viewList);

    void registerHlNativeListener(Context context, HlNativeAdCallBackListener listener);

}
